Main Page Widgets Namespaces Book

# Atk::Action Class Reference

Inheritance diagram for Atk::Action:

[legend]
List of all members.

## Detailed Description

The ATK interface provided by UI components which the user can activate/interact with, This should be implemented by instances of Atk::Object classes with which the user can interact directly, i.e.

buttons, checkboxes, scrollbars, e.g. components which are not "passive" providers of UI information.

Exceptions: when the user interaction is already covered by another appropriate interface such as Atk::EditableText (insert/delete test, etc.) or Atk::Value (set value) then these actions should not be exposed by Atk::Action as well.

Also note that the Atk::Action API is limited in that parameters may not be passed to the object being activated; thus the action must be self-contained and specifiable via only a single "verb". Concrete examples include "press", "release", "click" for buttons, "drag" (meaning initiate drag) and "drop" for drag sources and drop targets, etc.

Though most UI interactions on components should be invocable via keyboard as well as mouse, there will generally be a close mapping between "mouse actions" that are possible on a component and the Atk::Actions. Where mouse and keyboard actions are redundant in effect, Atk::Action should expose only one action rather than exposing redundant actions if possible. By convention we have been using "mouse centric" terminology for Atk::Action names.

## Public Member Functions

bool | do_action (int i)
| Perform the specified action on the object.
Glib::ustring | get_description (int i) const
| Returns a description of the specified action of the object.
Glib::ustring | get_keybinding (int i)
| Returns a keybinding associated with this action, if one exists.
Glib::ustring | get_localized_name (int i)
| Returns the localized name of the specified action of the object.
int | get_n_actions () const
| Gets the number of accessible actions available on the object.
Glib::ustring | get_name (int i) const
| Returns the name of the specified action of the object.
const AtkAction* | gobj () const
| Provides access to the underlying C GObject.
AtkAction* | gobj ()
| Provides access to the underlying C GObject.
bool | set_description (int i, const Glib::ustring& desc)
| Sets a description of the specified action of the object.
virtual | ~Action ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Atk::Action> | wrap (AtkAction* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::Action::~Action | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Atk::Action::add_interface | ( | GType | gtype_implementer | ) | `[static]`

bool Atk::Action::do_action | ( | int | i | ) |

Perform the specified action on the object.

Parameters:

  | i | The action index corresponding to the action to be performed.

Returns:
  `true` if success, `false` otherwise.

Glib::ustring Atk::Action::get_description | ( | int | i | ) | const

Returns a description of the specified action of the object.

Parameters:

  | i | The action index corresponding to the action to be performed.

Returns:
  A description string, or `0` if action does not implement this interface.

Glib::ustring Atk::Action::get_keybinding | ( | int | i | ) |

Returns a keybinding associated with this action, if one exists.

Parameters:

  | i | The action index corresponding to the action to be performed.

Returns:
  A string representing the keybinding, or an empty string if there is no keybinding for this action.

Glib::ustring Atk::Action::get_localized_name | ( | int | i | ) |

Returns the localized name of the specified action of the object.

Parameters:

  | i | The action index corresponding to the action to be performed.

Returns:
  A name string, or an empty string if action does not implement this interface.

int Atk::Action::get_n_actions | ( |  | ) | const

Gets the number of accessible actions available on the object.

If there are more than one, the first one is considered the "default" action of the object.

Returns:
  A the number of actions, or 0 if action does not implement this interface.

Glib::ustring Atk::Action::get_name | ( | int | i | ) | const

Returns the name of the specified action of the object.

Parameters:

  | i | The action index corresponding to the action to be performed.

Returns:
  A name string, or an empty string if action does not implement this interface.

const AtkAction* Atk::Action::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::Hyperlink, and Atk::NoOpObject.

AtkAction* Atk::Action::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::Hyperlink, and Atk::NoOpObject.

bool Atk::Action::set_description | ( | int | i,
|  | const Glib::ustring& | desc
| ) |

Sets a description of the specified action of the object.

Parameters:

  | i | The action index corresponding to the action to be performed.
  | desc | The description to be assigned to this action.

Returns:
  A `bool` representing if the description was successfully set;.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Action> wrap | ( | AtkAction* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- atk/atkmm/action.h